globals.h File Reference

Go to the source code of this file.

## Variables

const char * | copyright_string = "Copyright (C) 2004-2011 Ion Vasilief"
| Copyright string containing the author names. More...
const char * | extra_version = ".9"
| Extra version information string (like "alpha", "-2", etc...) More...
const int | maj_version = 0
| Major version number. More...
const int | min_version = 9
| Minor version number (0..9) More...
const int | patch_version = 8
| Patch version number (0..9) More...
const char * | release_date = " 2011/11/02"
| Release date as a string. More...
const char * | svn_revision = " svn 2288"

## Variable Documentation

## copyright_string

const char* copyright_string = "Copyright (C) 2004-2011 Ion Vasilief"

Copyright string containing the author names.

Referenced by ApplicationWindow::about(), and ApplicationWindow::parseCommandLineArguments().

## extra_version

const char* extra_version = ".9"

Extra version information string (like "alpha", "-2", etc...)

Referenced by ApplicationWindow::receivedVersionFile(), and ApplicationWindow::versionString().

## maj_version

const int maj_version = 0

Major version number.

Referenced by ApplicationWindow::readSettings(), ApplicationWindow::receivedVersionFile(), ApplicationWindow::saveAsTemplate(), ApplicationWindow::saveFolder(), ApplicationWindow::saveWindow(), and ApplicationWindow::versionString().

## min_version

const int min_version = 9

Minor version number (0..9)

Referenced by ApplicationWindow::readSettings(), ApplicationWindow::receivedVersionFile(), ApplicationWindow::saveAsTemplate(), ApplicationWindow::saveFolder(), ApplicationWindow::saveWindow(), and ApplicationWindow::versionString().

## patch_version

const int patch_version = 8

Patch version number (0..9)

Referenced by ApplicationWindow::readSettings(), ApplicationWindow::receivedVersionFile(), ApplicationWindow::saveAsTemplate(), ApplicationWindow::saveFolder(), ApplicationWindow::saveWindow(), and ApplicationWindow::versionString().

## release_date

const char* release_date = " 2011/11/02"

Release date as a string.

Referenced by ApplicationWindow::about(), and ApplicationWindow::parseCommandLineArguments().

## svn_revision

const char* svn_revision = " svn 2288"

Referenced by ApplicationWindow::receivedVersionFile(), and ApplicationWindow::versionString().